%global octpkg signal

Name:           octave-%{octpkg}
Version:        1.0.11
Release:        2%{?dist}
Summary:        Signal processing tools for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/signal/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# update outdated FSF address
# http://sourceforge.net/mailarchive/forum.php?thread_name=1307997599.17845.9.camel%40unreal.home.sailer.dynip.lugs.ch&forum_name=octave-dev
Patch0:         %{name}-fsf.patch
# avoid stripping binaries to get useful debuginfo packages
# fedora specific - not upstreamed
Patch1:         %{name}-nostrip.patch

BuildRequires:  octave-devel
BuildRequires:  octave-optim >= 1.0.0
BuildRequires:  octave-specfun 

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Requires:       octave-optim >= 1.0.0
Requires:       octave-specfun 

Obsoletes:      octave-forge <= 20090607


%description
Signal processing tools, including filtering, windowing and display

%prep
%setup -q -n %{octpkg}-%{version}
%patch0 -p0
%patch1 -p0 -b .nostrip
for i in inst/*.m; do
  iconv -f iso8859-1 -t utf-8 $i > $i.conv && mv -f $i.conv $i
done;

%build
#octave pkg build dependency check does not work
#https://bugzilla.redhat.com/show_bug.cgi?id=733615
#octave_pkg_build
%octave_cmd pkg build '-verbose' '-nodeps' %{_tmppath}/%{name}-%{version}-%{release}.%{_arch} %{_builddir}/%{buildsubdir}

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
%{octpkglibdir}

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING


%changelog
* Fri Aug 26 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.11-2
- review input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.11-1
- initial package for Fedora
